Verification request signers
Create a Verification request signer
/v2/presentations/certificates/verifier-signersAuthorization
bearerAuth In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers" \ -H "Content-Type: application/json" \ -d '{ "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2" }'{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"csrPem": "-----BEGIN CERTIFICATE REQUEST-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE REQUEST-----",
"caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2",
"active": false,
"caType": "mattr"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve all Verification request signers
/v2/presentations/certificates/verifier-signersAuthorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers"{
"data": [
{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"caType": "mattr",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z",
"subjectAlternativeNames": [
{
"type": 0,
"value": "string"
}
]
}
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve a Verification request signer
/v2/presentations/certificates/verifier-signers/{verifierSignerId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the Verification request signer.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"caType": "mattr",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z",
"subjectAlternativeNames": [
{
"type": 0,
"value": "string"
}
]
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Update a Verification request signer
/v2/presentations/certificates/verifier-signers/{verifierSignerId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the Verification request signer.
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers/b0aae560-10e7-4247-8e96-7cdd3578a1e2" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{
"id": "782f1885-c7c2-4459-8426-b6d7c111b0b1",
"caType": "mattr",
"active": true,
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172",
"certificateData": {
"commonName": "example.com",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z",
"subjectAlternativeNames": [
{
"type": 0,
"value": "string"
}
]
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Delete a Verification request signer
/v2/presentations/certificates/verifier-signers/{verifierSignerId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the Verification request signer.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/presentations/certificates/verifier-signers/b0aae560-10e7-4247-8e96-7cdd3578a1e2"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Last updated on